Last Comment Bug 405255 - change in-code URLs to new SeaMonkey website
: change in-code URLs to new SeaMonkey website
Status: RESOLVED FIXED
: fixed-seamonkey1.1.8
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: seamonkey2.0a1
Assigned To: Robert Kaiser
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 17:26 PST by Robert Kaiser
Modified: 2007-12-07 09:56 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
trunk patch: change all URLs to new website (12.43 KB, patch)
2007-11-28 05:51 PST, Robert Kaiser
neil: review+
neil: superreview+
Details | Diff | Splinter Review
branch patch (21.69 KB, patch)
2007-11-28 06:28 PST, Robert Kaiser
neil: review+
neil: superreview+
cbiesinger: approval‑seamonkey1.1.8+
Details | Diff | Splinter Review
mozilla/xpfe/bootstrap/splash.bmp (1.8 branch) (14.30 KB, image/png)
2007-12-04 12:32 PST, Robert Kaiser
neil: review+
neil: superreview+
cbiesinger: approval‑seamonkey1.1.8+
Details
mozilla/xpfe/bootstrap/splash.xpm (1.8 branch) (181.69 KB, image/x-xpixmap)
2007-12-04 12:34 PST, Robert Kaiser
ajschult: review+
neil: superreview+
cbiesinger: approval‑seamonkey1.1.8+
Details

Description Robert Kaiser 2007-11-24 17:26:21 PST
We're referring to the SeaMonkey web pages in many places in the code, we should change those places to the new www.seamonkey-project.org - even though the redirects work fine, it's better to directly go to the new website in new releases.
Comment 1 Robert Kaiser 2007-11-28 05:51:43 PST
Created attachment 290524 [details] [diff] [review]
trunk patch: change all URLs to new website

Here's the trunk patch. This is more or less just a search-and-replace, with exception of correcting the URL in the README to the right target and changing the not-yet-used update server to aus2-community per bug 381420 so we hopefully have the right URL when finally activating AUS.
Comment 2 Robert Kaiser 2007-11-28 06:28:44 PST
Created attachment 290528 [details] [diff] [review]
branch patch

...and here's a branch patch as well. Note that I'm not fully sold yet that we should do those changes to locale strings when we are in a quite strict locale freeze and redirects are working well for the old URLs, but I'll leave that decision up to you.
Comment 3 neil@parkwaycc.co.uk 2007-11-28 06:53:30 PST
Comment on attachment 290524 [details] [diff] [review]
trunk patch: change all URLs to new website

> # update notifications: new update page
>-update_notifications.provider.0.datasource=http://www.mozilla.org/projects/seamonkey/releases/updates/en-US.rdf
>+update_notifications.provider.0.datasource=http://www.seamonkey-project.org/releases/updates/en-US.rdf
Speaking of update servers, this is the old update system which can go (including its prefs in suite's browser-prefs.js which shouldn't be there).
Comment 4 Robert Kaiser 2007-11-28 08:44:21 PST
(In reply to comment #3)
> Speaking of update servers, this is the old update system which can go
> (including its prefs in suite's browser-prefs.js which shouldn't be there).

Checked in on trunk with that change.
Comment 5 Robert Kaiser 2007-11-28 08:48:35 PST
...and also checked branch patch into 1.8 branch.
Comment 6 Robert Kaiser 2007-12-04 12:32:24 PST
Created attachment 291494 [details]
mozilla/xpfe/bootstrap/splash.bmp (1.8 branch)

I just realized we also need to swap splash screens on branch - here's the Windows one.
Comment 7 Robert Kaiser 2007-12-04 12:34:21 PST
Created attachment 291495 [details]
mozilla/xpfe/bootstrap/splash.xpm (1.8 branch)

...and here's the Linux splash.
Comment 8 neil@parkwaycc.co.uk 2007-12-04 16:16:19 PST
Comment on attachment 291495 [details]
mozilla/xpfe/bootstrap/splash.xpm (1.8 branch)

Unfortunately I don't have an .xpm viewer...
Comment 9 Robert Kaiser 2007-12-04 17:54:48 PST
(In reply to comment #8)
> (From update of attachment 291495 [details])
> Unfortunately I don't have an .xpm viewer...

The .xpm is the same image as the .bmp, just in the other image format.
Comment 10 Robert Kaiser 2007-12-07 04:35:15 PST
Comment on attachment 291495 [details]
mozilla/xpfe/bootstrap/splash.xpm (1.8 branch)

Forgot to note with the review request - ajschult should be able to view the .xpm, I guess :)

Note You need to log in before you can comment on or make changes to this bug.